| Name | Type | Required | Description |
|---|---|---|---|
iccid | string | required | The ICCID of the eSIM to retrieve usage details for. |
| Field | Type | Description |
|---|---|---|
iccid | string | The ICCID of the eSIM. |
status | string | Current status of the eSIM (e.g. ACTIVE, EXPIRED). |
startedAt | number | Unix timestamp of when the eSIM package started. |
expiredAt | number | Unix timestamp of when the eSIM package expired or will expire. |
allowedData | number | Total data allowance in KB. |
remainingData | number | Remaining data in KB. |
allowedSms | number | Total SMS allowance. |
remainingSms | number | Remaining SMS count. |
allowedVoice | number | Total voice allowance in seconds. |
remainingVoice | number | Remaining voice in seconds. |
dataUsages | array | Daily breakdown of data consumption. |
dataUsages[].date | string | Date of usage in YYYY-MM-DD format. |
dataUsages[].usage | number | Data consumed on that date in KB. |
dataUsages[].location | string | Location where data was consumed, if available. |
curl --location --globoff 'https://api-dev.getroamify.com/api/esim/usage/details?iccid=8935308728471951' \
--header 'Authorization: Bearer roamify_4ECge13m8ZqFvGshLVLfdnFzi5hGuXkCBg2keWxVVKi7b2BGWmoXiv7bgVtNxY5Ruif7QKEthrLNrEkvnBV3Z7D3Fyj547NbnDnsDU7HgkRX8ggKD285dkXZHdNFM8npxoyr12nSzfpzqRuLvJj2d9eXgucEQmD9Gg4aKnUWvNaRbz1mKv7fAwdJe'application/json; charset=utf-8 content type is not supported in the response body